%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME frontend to GnuPG
Name:		seahorse
Version:	3.16.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://seahorse.sourceforge.net/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	gnupg
BuildRequires:	imagemagick
BuildRequires:	intltool itstool
BuildRequires:	xsltproc
BuildRequires:	gpgme-devel >= 1.0.0
BuildRequires:	libldap-devel
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(gck-1)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libsecret-1)

Requires:	gnupg
%rename		gnome-keyring-manager

%description
Seahorse is a GNOME frontend for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included.

%prep
%setup -q
#apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-valac \
	--disable-scrollkeeper

%make

%install
%makeinstall_std

# Menu
desktop-file-install --vendor="" \
	--remove-category="Advanced" \
	--remove-category="Application" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --all-name --with-gnome
 
%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%dir %{_datadir}/seahorse/
%dir %{_datadir}/seahorse/icons
%dir %{_datadir}/seahorse/icons/hicolor
%{_bindir}/seahorse
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/appdata/seahorse.appdata.xml
%{_datadir}/applications/seahorse.desktop
%{_datadir}/dbus-1/services/org.gnome.seahorse.Application.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gnome-shell/search-providers/seahorse-search-provider.ini
%{_datadir}/icons/*/*/*/*
%{_datadir}/seahorse/icons/hicolor/*
%{_datadir}/seahorse/ui
%{_libdir}/%{name}/
%{_mandir}/man1/*

%changelog

* Tue May 12 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-1
- (f7385e2) update to 3.16.0


